PDA

View Full Version : Zypper - Problem retrieving the repository index file



arivanbastos
01-Jun-2016, 16:07
Hi,

I have a SUSE ES 11 SP3 instance (ID: i-008f9012) and I need to install the php5-openssl package, but I'm getting in trouble when using "zypper install".



Refreshing service 'susecloud'.
Problem retrieving the repository index file for service 'susecloud':
Download (curl) error for 'http://sa-east-1-ec2-update.susecloud.net/repo/repoindex.xml?cookies=0':
Error code: Connection failed
Error message: Couldn't resolve host 'sa-east-1-ec2-update.susecloud.net'

Check if the URI is valid and accessible.
Error building the cache:
[|] Valid metadata not found at specified URL(s)
Warning: Disabling repository 'php' because of the above error.
Download (curl) error for 'http://sa-east-1-ec2-update.susecloud.net/repo/update/SLE11-SDK-SP3-Pool/sle-11-x86_64/repodata/repomd.xml':
Error code: Connection failed
Error message: Couldn't resolve host 'sa-east-1-ec2-update.susecloud.net'

Abort, retry, ignore? [a/r/i/? shows all options] (a): a
Problem retrieving files from 'SLE11-SDK-SP3-Pool'.
Download (curl) error for 'http://sa-east-1-ec2-update.susecloud.net/repo/update/SLE11-SDK-SP3-Pool/sle-11-x86_64/repodata/repomd.xml':
Error code: Connection failed
Error message: Couldn't resolve host 'sa-east-1-ec2-update.susecloud.net'

Please see the above error message for a hint.
Warning: Disabling repository 'SLE11-SDK-SP3-Pool' because of the above error.
Download (curl) error for 'http://sa-east-1-ec2-update.susecloud.net/repo/update/SLE11-SDK-SP3-Updates/sle-11-x86_64/repodata/repomd.xml':
Error code: Connection failed
Error message: Couldn't resolve host 'sa-east-1-ec2-update.susecloud.net'

...


I tried to made the infrastructure update, following the steps below but I got the same "Problem retrieving the repository index file for service 'susecloud'" error at step 2 and no instanceInfraUpgrade file is generated.



1) grep smt-ec2 /etc/hosts

If this returns empty you will need to migrate your instance to the new update infrastructure. This process will introduce changes to the instance including introducing cloud-init. root remains the default user (ec2-user is the default user for new images) and the hostname and hostkeys are preserved.

1) wget http://54.197.240.216/instanceInfraUpgrade.noarch.rpm

2) zypper –non-interactive in instanceInfraUpgrade.noarch.rpm

3) instanceInfraUpgrade

4) rm instanceInfraUpgrade.noarch.rpm



There is the output for zypper ls:



# | Alias | Name | Enabled | Refresh | Type
--+-----------------------+------------------------------------------------+---------+---------+-------
1 | nu_novell_com | nu_novell_com | Yes | No | NONE
2 | susecloud | susecloud | Yes | Yes | ris
3 | devel_tools_scm | Software configuration management (SLE_11_SP2) | Yes | No | rpm-md
4 | php | php | Yes | No | NONE
5 | server_php_extensions | PHP extensions (server_php_openSUSE_11.4) | Yes | No | rpm-md


I looked in the forum, but I could not find a clear solution.
Can you help me?

rjschwei
01-Jun-2016, 17:34
So the old update infrastructure was turned of on May 18, as announced multiple times and most recently here [1].

I just tested the wget step and it works:

wget http://54.197.240.216/instanceInfraUpgrade.noarch.rpm
--2016-06-01 16:23:40-- http://54.197.240.216/instanceInfraUpgrade.noarch.rpm
Connecting to 54.197.240.216:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 5292124 (5.0M) [application/x-rpm]
Saving to: ‘instanceInfraUpgrade.noarch.rpm’

100%[======================================>] 5,292,124 1.66MB/s in 3.0s

2016-06-01 16:23:43 (1.66 MB/s) - ‘instanceInfraUpgrade.noarch.rpm’ saved [5292124/5292124]

Since the old update infrastructure no longer exists you need to force zypper not to refresh existing repositories:

zypper --non-interactive --no-refresh in instanceInfraUpgrade.noarch.rpm

However, there is a chance that you will run into missing package issues as the process to switch to the new infrastructure was based on the assumption that the existing repos (old infrastructure) would work.

Good luck.




[1] https://www.suse.com/communities/blog/2-months-warning-amazon-ec2-old-update-infrastructure-approaching-eol/

arivanbastos
01-Jun-2016, 18:27
Thank you!

Running the command as suggested I got:



Error building the cache:
[|] Valid metadata not found at specified URL(s)
Warning: Disabling repository 'php' because of the above error.
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following NEW package is going to be installed:
instanceInfraUpgrade

The following package is not supported by its vendor:
instanceInfraUpgrade

1 new package to install.
Overall download size: 5.0 MiB. After the operation, additional 5.2 MiB will be used.
Continue? [y/n/? shows all options] (y): y
Retrieving package instanceInfraUpgrade-1.2.2-1.1.noarch (1/1), 5.0 MiB (5.2 MiB unpacked)
Retrieving package instanceInfraUpgrade-1.2.2-1.1.noarch (1/1), 5.0 MiB (5.2 MiB unpacked)
Installing: instanceInfraUpgrade-1.2.2-1.1 [done]
Additional rpm output:
warning: /var/cache/zypp/packages/_tmpRPMcache_/instanceInfraUpgrade.noarch.rpm: Header V3 DSA signature: NOKEY, key ID 8a7c64f9


And now I can run "instanceInfraUpgrade", but I got errors:



Adding repository 'tmp_instance_infrastructure_upgrade' [done]
Repository 'tmp_instance_infrastructure_upgrade' successfully added
Enabled: Yes
Autorefresh: No
GPG check: Yes
URI: dir:///usr/share/instance_infrastructure_upgrade/repo

Repository 'tmp_instance_infrastructure_upgrade' priority has been set to 1.
Retrieving repository 'tmp_instance_infrastructure_upgrade' metadata [done]
Building repository 'tmp_instance_infrastructure_upgrade' cache [done]
Specified repositories have been refreshed.
Refreshing service 'susecloud'.
Problem retrieving the repository index file for service 'susecloud':
Download (curl) error for 'http://sa-east-1-ec2-update.susecloud.net/repo/repoindex.xml?cookies=0':
Error code: Connection failed
Error message: Couldn't resolve host 'sa-east-1-ec2-update.susecloud.net'

Check if the URI is valid and accessible.
Error building the cache:
[|] Valid metadata not found at specified URL(s)
Warning: Disabling repository 'php' because of the above error.
Download (curl) error for 'http://sa-east-1-ec2-update.susecloud.net/repo/update/SLE11-SDK-SP3-Pool/sle-11-x86_64/repodata/repomd.xml':
Error code: Connection failed
Error message: Couldn't resolve host 'sa-east-1-ec2-update.susecloud.net'

...

--> Updating packages failed


So, is there another way to solve this problem? Or should I migrate my app to another instance?